Unable to run Juniper vSRx > JUNOS 17.3R2.10

Before posting something, READ the changelog, WATCH the videos, howto and provide following:
Your install is: Bare metal, ESXi, what CPU model, RAM, HD, what EVE version you have, output of the uname -a and any other info that might help us faster.

Moderator: mike

Post Reply
gnek
Posts: 4
Joined: Thu Aug 03, 2017 4:18 pm

Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by gnek » Mon May 13, 2019 2:05 pm

Hi all,


following "HowTo's" procedure I'm able to start vSRX till Rel JUNOS 17.3R2.10. (https://www.eve-ng.net/documentation/ho ... -and-later)

EVE-NG version: 2.0.3-95
QEMU version: 2.4.0

I've tried manyversions greater than 17.3R2.10.and the startup always fail as reported below:

May 13 14:02:09 jlaunchd: logical-system-service (PID 14015) started


FreeBSD/amd64 (Amnesiac) (ttyu0)

login: root
NMI/cpu0 ... going to debugger
###Not a panic, mastership retained
[ thread pid 14045 tid 100276 ]
Stopped at 0xc84b3fcf: movl 0x1c(%rbp),%ebx
db>



Thanks in advance

Uldis (UD)
Posts: 2446
Joined: Wed Mar 15, 2017 4:44 pm
Location: London
Contact:

Re: Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by Uldis (UD) » Mon May 13, 2019 3:33 pm

dear friend, vSRX require top level CPU E5-26XXv3 or v4 to run
On PC i7 it even doesnt work..
All complaints to Juniper...

gnek
Posts: 4
Joined: Thu Aug 03, 2017 4:18 pm

Re: Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by gnek » Tue May 14, 2019 7:22 am

thanks for the feedback.

The server hosting EVE is an opta core with Intel(R) Xeon(R) CPU E5-2667 v3 @ 3.20GHz, it should support vSRX images.

Can I change any parameters on EVE or on image script launcher to guarantee the needed resource to run vSRX rel 19.1 R1.6 ?

Thanks in advance

Uldis (UD)
Posts: 2446
Joined: Wed Mar 15, 2017 4:44 pm
Location: London
Contact:

Re: Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by Uldis (UD) » Tue May 14, 2019 10:45 am

Version vSRX 19.1R1.6 works just nice !
BUT ON EVE Bare !!!
Not esxi EVE

Just a bit needs to change on template when you add the node, vSRX-NG !
1. Use qemu 2.12 or 3.1, 3.1 is better and faster.

2, and in qemu line at the end add "-cpu host"
-machine type=pc-1.0,accel=kvm -cpu qemu64,+ssse3,+sse4.1,+sse4.2,+x2apic,+aes,pclmulqdq -serial mon:stdio -nographic -nodefconfig -nodefaults -rtc base=utc -cpu host

Uldis
You do not have the required permissions to view the files attached to this post.

NETPRAK2012
Posts: 2
Joined: Thu May 04, 2017 7:16 am

Re: Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by NETPRAK2012 » Sat May 18, 2019 7:19 pm

Hi UD,

Please can you let me know Qemu 3.1 version added in Eve-community version or not.

Uldis (UD)
Posts: 2446
Joined: Wed Mar 15, 2017 4:44 pm
Location: London
Contact:

Re: Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by Uldis (UD) » Sun May 19, 2019 7:14 am

no, Qemu 3.1 is not in the Community.
But you can use 2.12

And remember only BARE EVE runs vSRX 19.1

ESXI or VM ware workstation versions, simply does not

janostasik
Posts: 24
Joined: Thu Jan 18, 2018 11:43 am

Re: Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by janostasik » Thu May 30, 2019 1:32 pm

Uldis,
I did fresh install of eve-ng pro in VM. I see qemu version 2.5 when issue qemu-system-x86_64 --version. Does it mean that we need to install version 3.1? Or how can i check if its included?

Thanks.

Jan

Uldis (UD)
Posts: 2446
Joined: Wed Mar 15, 2017 4:44 pm
Location: London
Contact:

Re: Unable to run Juniper vSRx > JUNOS 17.3R2.10

Post by Uldis (UD) » Tue Jun 04, 2019 8:17 pm

Did you read my post

vSRX is ok on Bare ONLY !!!

NOT VM

Post Reply